#include <iostream>

using namespace std;

const int max_n=20000;
const int min_n=2;

bool provera(int *a, int n)
{
    for(int i=1; i<=n; i++)
        if(a[i]>n || a[i]<1)
            return false;
    return true;
}

int main()
{
    int n, k, i;
    cin >> n >> k;
    if(n>=min_n && n<=max_n)
    {
        int *a=new int(n);
        for(i=1; i<=n; i++)
            cin >> a[i];
        int rez, tmp;
        if(provera(a,n) && k<=n && k>=1)
        {
            for(i=1; i<=n; i++)
                if(a[i]==k)
                {
                    tmp=i;
                    break;
                }
            if(tmp==n)
                rez=a[0];
            else
                rez=a[tmp+1];
            cout << rez;
        }
    }
    return 0;
}